# tests.py module.  Uses the Coverage.py API to call all tests for the
# current project.
import coverage
import branchcoverage
import conditioncoverage
import functioncoverage
import statementcoverage

cov = coverage.Coverage()
cov.erase()
cov.start()

branchcoverage.branchCoverageDemo(3)
conditioncoverage.conditionCoverageDemo(1, 1)
functioncoverage.startFunction()
statementcoverage.statementCoverageDemo(1)

cov.stop()
cov.save()

cov.html_report()
cov.report()
